[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumns.Add

Creates a new ItemClass instance with the collection as its owner.

## Declaration

Source position: grids.pas line 661

`public function TGridColumns.Add: TGridColumn;`

## Function result

TGridColumn instance added to the collection.

## Description

Add is an overridden method used to create a new collection item using the ItemClass class type for the collection. The new class instance has the collection as its owner. Add re-implements the method from the ancestor class.

Use Insert or InsertColumn to create a new collection item and store it at a specified position in the collection.

## See also

TGridColumns.InsertColumn |  | Inserts a column at the specified index position.
TCollectionItem
TCollection.Add
TCollection.Insert
TCollection.ItemClass